# Generated from jenga-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jenga

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Jenga is a tool for building applications based on XBee radio devices and the internet
License: MIT
URL: https://github.com/rccursach/jenga
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-expectations)
BuildArch: noarch

%description
Useful for receiving data from small WSNs based on XBee/ZigBee devices and
enable them to access the internet.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README_gem.md
%{gem_instdir}/Rakefile
%{gem_instdir}/jenga.gemspec
%doc %{gem_instdir}/readme.md

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.0-1
- Initial package
